Uses of Class
org.apache.juneau.rest.client.assertion.ResponseBodyAssertion
Packages that use ResponseBodyAssertion
Package
Description
Fluent assertion classes for HTTP response validation in the REST client.
-
Uses of ResponseBodyAssertion in org.apache.juneau.rest.client.assertion
Methods in org.apache.juneau.rest.client.assertion that return ResponseBodyAssertionModifier and TypeMethodDescriptionResponseAssertion.body()Returns a fluent body assertion.Asserts that the response body (as a UTF-8 string) contains the given substring.Asserts that the response body (as a UTF-8 string) equals the expected value.ResponseBodyAssertion.isEmpty()Asserts that the response body is empty (null or zero-length).ResponseBodyAssertion.isNotEmpty()Asserts that the response body is present and non-empty.ResponseBodyAssertion.startsWith(String prefix) Asserts that the response body starts with the given prefix.